The hledger package

[Tags: gpl, library, program]

hledger is a library and set of user tools for working with financial data (or anything that can be tracked in a double-entry accounting ledger.) It is a haskell port and friendly fork of John Wiegley's Ledger. hledger provides command-line, curses and web interfaces, and aims to be a reliable, practical tool for daily use.


Properties

Versions0.1, 0.2, 0.3, 0.4, 0.5, 0.5.1, 0.6, 0.6.1, 0.7.0, 0.8, 0.9, 0.10, 0.11, 0.11.1, 0.12, 0.12.1, 0.13, 0.14, 0.15, 0.15.1, 0.15.2, 0.16, 0.16.1, 0.17, 0.18, 0.18.1, 0.18.2, 0.19, 0.19.1, 0.19.2, 0.19.3, 0.20, 0.20.0.1, 0.21, 0.21.1, 0.21.2, 0.21.3, 0.22, 0.22.1, 0.22.2, 0.23, 0.23.1, 0.23.2, 0.23.3, 0.24, 0.24.1, 0.25
Dependenciesbase (>=4.3 && <5), base-compat (>=0.5.0 && <0.8), cmdargs (==0.10.*), containers, csv, directory, filepath, haskeline (>=0.6 && <=0.8), hledger (==0.25), hledger-lib (==0.25), HUnit, mtl, mtl-compat, old-locale, old-time, parsec (>=3), pretty-show (>=1.6.4), process, regex-tdfa, regexpr (>=0.5.1), safe (>=0.2), shakespeare (>=1.0 && <2.1), shakespeare-text (>=1.0 && <1.2), split (>=0.1 && <0.3), tabular (==0.2.*), terminfo, text (>=0.11), time, utf8-string (>=0.3.5 && <1.1), wizards (==1.0.*)
LicenseGPL
AuthorSimon Michael <simon@joyful.com>
MaintainerSimon Michael <simon@joyful.com>
Stabilitystable
CategoryFinance, Console
Home pagehttp://hledger.org
Bug trackerhttp://hledger.org/bugs
Source repositoryhead: git clone https://github.com/simonmichael/hledger
Executableshledger
UploadedWed Apr 8 02:54:18 UTC 2015 by SimonMichael
UpdatedWed Apr 22 18:00:07 UTC 2015 by SimonMichael to revision 1
DistributionsDebian:0.24, Fedora:0.24, LTSHaskell:0.24.1, NixOS:0.25, Stackage:0.25
Downloads6186 total (490 in last 30 days)
StatusDocs not available [build log]
Last success reported on 2015-04-08 [all 1 reports]

Modules

Flags

NameDescriptionDefault
threadedBuild with support for multithreaded executionEnabled
cursesOn POSIX systems, enable curses support for auto-detecting terminal width.Enabled
old-localeA compatibility flag, set automatically by cabal. If false then depend on time >= 1.5, if true then depend on time < 1.5 together with old-locale.Disabled

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainers' corner

For package maintainers and hackage trustees